Bug 245310 - www/py-django-ldapdb: Update to 1.4.0
Summary: www/py-django-ldapdb: Update to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/django-ldapdb/djan...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-03 10:24 UTC by Kai Knoblich
Modified: 2020-04-07 07:59 UTC (History)
1 user (show)

See Also:
avk: maintainer-feedback+
avk: maintainer-feedback+


Attachments
py-django-ldapdb-1.4.0.patch (1.41 KB, patch)
2020-04-03 10:24 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-03 10:24:43 UTC
Created attachment 213011 [details]
py-django-ldapdb-1.4.0.patch

Hi,

attached is the patch that updates www/py-django-ldapdb to 1.4.0 and assigns it from Django 1.11 (End of Life since April) to Django 2.2 (next LTS release, supports only Python 3.5 or newer).

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 Alexander Kriventsov 2020-04-06 07:38:13 UTC
Ok.
Thanks a lot.
Comment 2 Kai Knoblich freebsd_committer 2020-04-07 07:12:35 UTC
Comment on attachment 213011 [details]
py-django-ldapdb-1.4.0.patch

^ Triage: Maintainer appproval was given in comment #1, setting flag accordingly.
Comment 3 commit-hook freebsd_committer 2020-04-07 07:13:46 UTC
A commit references this bug:

Author: kai
Date: Tue Apr  7 07:13:02 UTC 2020
New revision: 530949
URL: https://svnweb.freebsd.org/changeset/ports/530949

Log:
  www/py-django-ldapdb: Update to 1.4.0

  * Assign to Django 2.2 (current LTS release) as Django 1.11 is End-of-Life.

  * Make USES block separate from non-relevant variables.

  Changelog:

  https://github.com/django-ldapdb/django-ldapdb/blob/1.4.0/ChangeLog

  PR:		245310
  Approved by:	Alexander Kriventsov <avk@vl.ru> (maintainer)

Changes:
  head/www/py-django-ldapdb/Makefile
  head/www/py-django-ldapdb/distinfo
Comment 4 Kai Knoblich freebsd_committer 2020-04-07 07:59:12 UTC
Committed, thanks!